Bug 1010428 - systemd should allow services to specify they should run before any (serial-)getty@.service
Summary: systemd should allow services to specify they should run before any (serial-)...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-20 18:47 UTC by Vratislav Podzimek
Modified: 2019-05-28 19:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:27:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 979174 None CLOSED initial-setup-text.service does not run on console 2019-05-03 09:54:10 UTC
Red Hat Bugzilla 1007163 None CLOSED Additional consoles needed for new arm devices 2019-05-03 09:54:09 UTC

Internal Links: 979174 1007163

Description Vratislav Podzimek 2013-09-20 18:47:21 UTC
Description of problem:
The Initial Setup (the first boot utility) needs to run before a login prompt is shown because its purpose is to create user account and setup root password. However, in order to do that, all getty@*.service and serial-getty@*.service services need to wait for it to finish which is impossible to achieve with uknown TTYs and serial TTYs. The reason is that the Before field of the unit file doesn't allow to specify 'getty@*.service' or 'getty@service' (without any particular TTY).

Version-Release number of selected component (if applicable):
systemd-207.4-fc20


Actual results:
No way for a service to specify all (serial-)getty services should wait for it to finish.

Expected results:
Easy way for a service to specify all (serial-)getty services should wait for it to finish.

Comment 1 Zbigniew Jędrzejewski-Szmek 2013-09-21 13:30:21 UTC
Would specifying Before=systemd-user-sessions.service in that service work for you? systemd-user-sessions.service is the thing that actually allows user to log in, both through e.g. ssh and on the console.

Comment 2 Michal Schmidt 2013-09-23 08:02:31 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
That would not work for Vratislav, because he also wants his unit to run After=plymouth-quit-wait.service, which itself runs After=systemd-user-sessions.service, so an ordering loop would appear.

Comment 3 Lennart Poettering 2014-02-23 16:34:53 UTC
I'd suggest to do what Zbigniew suggested, but in the program to be run simply terminate the plymouth screen directly, so that plymouth-quit-wait.service later on will turn into a NOP... That sounds easiest to me...

i.e. to initial-setup add /usr/bin/plymouth --wait and then order it before systemd-user-sessions.service.

Comment 4 Vratislav Podzimek 2014-02-24 07:49:10 UTC
(In reply to Lennart Poettering from comment #3)
> I'd suggest to do what Zbigniew suggested, but in the program to be run
> simply terminate the plymouth screen directly, so that
> plymouth-quit-wait.service later on will turn into a NOP... That sounds
> easiest to me...
> 
> i.e. to initial-setup add /usr/bin/plymouth --wait and then order it before
> systemd-user-sessions.service.
Would adding 'ExecStopPost=/usr/bin/plymouth --wait' work the same way? I'd really like to avoid adding some Plymouth-specific code to the initial-setup's code.

BTW, initial-setup has a new mantainer now.

Comment 5 Zbigniew Jędrzejewski-Szmek 2014-06-23 00:56:59 UTC
(In reply to Vratislav Podzimek from comment #4)
> Would adding 'ExecStopPost=/usr/bin/plymouth --wait' work the same way?
You mean ExecStartPre ? Yes, it should work the same way.

Comment 6 Fedora End Of Life 2015-05-29 09:25:54 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Vratislav Podzimek 2015-06-10 07:27:55 UTC
Still an issue even on F22.

Comment 8 Fedora End Of Life 2016-07-19 10:25:03 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Martin Kolman 2016-07-19 11:16:50 UTC
Still a (systemd) issue, unfortunately.

Comment 10 Fedora End Of Life 2016-07-19 13:37:01 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Martin Kolman 2016-07-19 13:45:08 UTC
Bad bot, no cookie for you! ;-)

Comment 12 Jan Kurik 2016-07-26 04:46:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 13 Fedora End Of Life 2017-11-16 19:05:21 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-02-20 15:23:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 15 Ben Cotton 2019-05-02 22:07:32 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 19:27:55 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.